curl https://xenarch.dev/v1/sites \
-H "Authorization: Bearer xk_pub_abc123..."
[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domain": "<string>",
"default_price_usd": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}Sites
List Sites
List all sites belonging to the authenticated Xenarch publisher — returns domain, pay-per-crawl pricing rules, and revenue summary per site.
GET
/
v1
/
sites
curl https://xenarch.dev/v1/sites \
-H "Authorization: Bearer xk_pub_abc123..."
[
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"domain": "<string>",
"default_price_usd": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
]{
"detail": [
{
"loc": [
"<string>"
],
"msg": "<string>",
"type": "<string>",
"input": "<unknown>",
"ctx": {}
}
]
}